Yii Framework Forum: YII Framework Isse on windows server. - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

YII Framework Isse on windows server. Rate Topic: ***** 1 Votes

#1 User is offline   Vrnda 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 3
  • Joined: 15-July 17

Posted 15 July 2017 - 03:50 AM

Hello Everyone,

I have developed one Web application for automatic SMS alerts. I have Used YII framework for this. My Web application is working properly in Local System, But when I have uploaded my this website to server, it does not run on the URL.

My Cpenal PHP version is 5.2.17, so is this due to PHP version?

Some other developer suggested me that I need to publish this website before uploading it, How can i do this, Please give some guidance.

I also get the suggestion to give permission to Assets and runtime folder, if this issue is there, then how can i give permission to these folders?
0

#2 User is offline   samdark 

  • Having fun
  • Yii
  • Group: Yii Dev Team
  • Posts: 5,184
  • Joined: 17-January 09
  • Location:Russia

Posted 15 July 2017 - 04:11 AM

Yes. Yii 2 requires at least 5.4. If you can get PHP 7, that's perfect.
Yii 2.0 Development Cookbook

Enjoying Yii? Star us at github

Support me so I can work more on Yii: https://www.patreon.com/samdark
0

#3 User is offline   Vrnda 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 3
  • Joined: 15-July 17

Posted 15 July 2017 - 04:35 AM

Thank you so much. I am finding following error, can yo please check the following erroe While I am running my code : Warning: Unexpected character in input: '\' (ASCII=92) state=1 in C:\Servx\aemonindia.com\ss.aemonindia.com\admin\backend\web\index.php on line 10

Parse error: syntax error, unexpected T_STRING in C:\Servx\aemonindia.com\ss.aemonindia.com\admin\backend\web\index.php on line 10
0

#4 User is offline   samdark 

  • Having fun
  • Yii
  • Group: Yii Dev Team
  • Posts: 5,184
  • Joined: 17-January 09
  • Location:Russia

Posted 15 July 2017 - 09:51 AM

Yes, that's a sign that you PHP version is lower than 5.4.
Yii 2.0 Development Cookbook

Enjoying Yii? Star us at github

Support me so I can work more on Yii: https://www.patreon.com/samdark
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users